Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ibf_header Struct Reference

## Data Fields
char | magic [4]
unsigned int | major_version
unsigned int | minor_version
unsigned int | size
unsigned int | extra_size
unsigned int | iseq_list_size
unsigned int | global_object_list_size
ibf_offset_t | iseq_list_offset
ibf_offset_t | global_object_list_offset

## Detailed Description

Definition at line 9511 of file compile.c.

## Field Documentation

## ◆ extra_size

unsigned int ibf_header::extra_size

Definition at line 9516 of file compile.c.

## ◆ global_object_list_offset

ibf_offset_t ibf_header::global_object_list_offset

Definition at line 9521 of file compile.c.

## ◆ global_object_list_size

unsigned int ibf_header::global_object_list_size

Definition at line 9519 of file compile.c.

## ◆ iseq_list_offset

ibf_offset_t ibf_header::iseq_list_offset

Definition at line 9520 of file compile.c.

## ◆ iseq_list_size

unsigned int ibf_header::iseq_list_size

Definition at line 9518 of file compile.c.

## ◆ magic

char ibf_header::magic[4]

Definition at line 9512 of file compile.c.

## ◆ major_version

unsigned int ibf_header::major_version

Definition at line 9513 of file compile.c.

## ◆ minor_version

unsigned int ibf_header::minor_version

Definition at line 9514 of file compile.c.

## ◆ size

unsigned int ibf_header::size

Definition at line 9515 of file compile.c.

The documentation for this struct was generated from the following file:

- compile.c